Package org.apache.ignite.internal.processors.cache.persistence.tree.io

## Interface AbstractDataPageIO.CC<T>

Type Parameters:
  `T` - Closure return type.

Enclosing class:
  AbstractDataPageIO<T extends Storable>

    public static interface AbstractDataPageIO.CC<T>

Defines closure interface for applying computations to data page items.

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `apply​(long link)` Closure body.

### Method Detail

#### apply

    T apply​(long link)
     throws IgniteCheckedException

Closure body.

Parameters:
  `link` - Link to item.
Returns:
  Closure return value.
Throws:
  `IgniteCheckedException` - In case of error in closure body.